#ifndef GLCD_DRAW_H
#define GLCD_DRAW_H
#include "GLCD_types.h"








void LCD_line(int x1,int y1,int x2, int y2 , RGB_COLORS color);
void LCD_darken_line(int x1,int y1,int x2, int y2);
void LCD_rect(TRect *R,int width, RGB_COLORS color);
void LCD_darken_rect(TRect *R,int width);
void LCD_circ(TCircle *C, RGB_COLORS color);
void LCD_elipse(TRect *R, RGB_COLORS color);
void LCD_frect(TRect *R,RGB_COLORS color); 
void LCD_felipse(TRect *R, RGB_COLORS color);
void LCD_rrect(TRect *R,RGB_COLORS color,unsigned char r);
void LCD_frrect(TRect *R,RGB_COLORS color,unsigned char r);
void LCD_fcrect(TRect *R,RGB_COLORS color,unsigned char r);
void LCD_crect(TRect *R,RGB_COLORS color,unsigned char r);
void LCD_clear(void);
void LCD_draw_bitmap(int x, int y, const unsigned short * data);
void LCD_draw_bitmap_cond(int x, int y, const unsigned short * data, short ignored);


#endif